Package org.snpeff.stats

# Class ObservedOverExpected

java.lang.Object
org.snpeff.stats.ObservedOverExpected

Direct Known Subclasses:
  `ObservedOverExpectedCHG`, `ObservedOverExpectedCHH`, `ObservedOverExpectedCpG`

public abstract class ObservedOverExpected extends Object
Observed over expected values (o/e) ratios E.g.: CpG dinucleotides in a sequence

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`ObservedOverExpected()`

## Method Summary

Modifier and Type
Method
Description
`abstract double`
`expected(String sequence)`
`double`
`expected(Exon e)`
Expected number of sequences (average between plus and minus strand)
`double`
`expected(Gene g)`
Expected number of sequences (average between plus and minus strand)
`double`
`expected(Transcript t)`
Expected number of sequences (average between plus and minus strand)
`abstract int`
`observed(String sequence)`
`int`
`observed(Exon e)`
Observed sequence (average between plus and minus strand)
`int`
`observed(Gene g)`
Observed sequence (average between plus and minus strand)
`int`
`observed(Transcript t)`
Observed sequence (average between plus and minus strand)
`int`
`observedChg(String sequence)`
Count the number of CHG in this sequence
`double`
`oe(String sequence)`
Observed over expected ratio
`double`
`oe(Exon e)`
Observed over expected ratio
`double`
`oe(Gene g)`
Observed over expected ratio
`double`
`oe(Transcript t)`
Observed over expected ratio

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObservedOverExpected

public ObservedOverExpected()

## Method Details

### expected

public double expected(Exon e)
Expected number of sequences (average between plus and minus strand)

Parameters:
  `e` - : Exon
Returns:

### expected

public double expected(Gene g)
Expected number of sequences (average between plus and minus strand)

Parameters:
  `t` - : Transcript
Returns:

### expected

public abstract double expected(String sequence)

### expected

public double expected(Transcript t)
Expected number of sequences (average between plus and minus strand)

Parameters:
  `t` - : Transcript
Returns:

### observed

public int observed(Exon e)
Observed sequence (average between plus and minus strand)

Parameters:
  `e` - : Exon
Returns:

### observed

public int observed(Gene g)
Observed sequence (average between plus and minus strand)

Parameters:
  `g` - : Gene
Returns:

### observed

public abstract int observed(String sequence)

### observed

public int observed(Transcript t)
Observed sequence (average between plus and minus strand)

Parameters:
  `t` - : Transcript
Returns:

### observedChg

public int observedChg(String sequence)
Count the number of CHG in this sequence

Parameters:
  `sequence` -
Returns:

### oe

public double oe(Exon e)
Observed over expected ratio

Parameters:
  `Exon` -
Returns:

### oe

public double oe(Gene g)
Observed over expected ratio

Parameters:
  `Gene` -
Returns:

### oe

public double oe(String sequence)
Observed over expected ratio

Parameters:
  `sequence` -
Returns:

### oe

public double oe(Transcript t)
Observed over expected ratio

Parameters:
  `Transcript` -
Returns: